Jump to content

Photo

problems with sources.list in attemt to use latest repositories

repositories

Best Answer Charles@Bodhi, 14 August 2017 - 01:25 PM

Hi Anna, 

I suggest you fix your sources.list so you won't see those warnings anymore. In terminal

sudo epad /etc/apt/sources.list

Now find lines with the word lucid and place a # in front of that line so they are commented out.  Save the file and close epad. Next run

sudo apt-get update
sudo apt-get dist-upgrade

In case you still have errors of some kind please report them here with details about the error.

 

Enjoy,

Charles

Go to the full post


  • Please log in to reply
4 replies to this topic

#1 Anna M

Anna M

    Member

  • Members
  • 3 posts

Posted 13 August 2017 - 02:30 PM

Hello all,

 

I've been running Bodhi 3.2.1 on a Chromebook for a while now (works like a charm). Recently I wanted to install some newer software so today I set myself to updating sources.list. At first it went ok (different mirror), but later I seem to have "broken" some things: a lot of icons in the start menu disappeared (the "Bodhi native" ones are still there), and I started to get error messages with Synaptic.

 

I put the original sources.list back, and got this message on starting Synaptic:

E: The value 'trusty-security' is invalid for APT::Default-Release as such a release is not available in the sources
E: _cache->open() failed, please report.

 

Is there a "latest" sources.list available for Bodhi that I should use?

 

Thanks in advance!

 

Anna

 

 

 

 

 

 





A big thank you to everyone who contributes to Bodhi Linux


#2 Jeff

Jeff

    Lead Developer

  • Developer
  • 12430 posts
  • LocationBloomington, IL

Posted 13 August 2017 - 05:38 PM

Can you please post the output of the command:

 

sudo apt-get update

 

Welcome to the forums.



#3 Anna M

Anna M

    Member

  • Members
  • 3 posts

Posted 13 August 2017 - 07:04 PM

Hi Jeff,

 

Thanks for the welcome. :)

And thanks for all the time&effort you're putting in Bodhi.

 

Here's the output. (When I started Synaptic, it didn't give the error again like earlier today. I did reboot this afternoon too, to see if that made a difference.)

In case it is important: I'm in the Netherlands, not in France.

 

 

tce@flower:~$ sudo apt-get update
[sudo] password for tce:
Get:1 http://security.ubuntu.comtrusty-security InRelease [65,9 kB]
Err http://us.old-releases.ubuntu.comlucid InRelease                          
 
Err http://us.old-releases.ubuntu.comlucid Release.gpg                        
  Could not resolve 'us.old-releases.ubuntu.com'
Ign http://fr.archive.ubuntu.comtrusty InRelease                              
Get:2 http://fr.archive.ubuntu.comtrusty-updates InRelease [65,9 kB]          
Get:3 http://security.ubuntu.comtrusty-security/main Sources [138 kB]         
Get:4 http://fr.archive.ubuntu.comtrusty-backports InRelease [65,9 kB]        
Get:5 http://fr.archive.ubuntu.comtrusty Release.gpg [933 B]                  
Get:6 http://fr.archive.ubuntu.comtrusty-updates/main Sources [402 kB]       
Ign http://packages.bodhilinux.comtrusty InRelease                            
Get:7 http://fr.archive.ubuntu.comtrusty-updates/restricted Sources [6 331 B]
Ign http://packages.bodhilinux.comtrusty Release.gpg                          
Get:8 http://fr.archive.ubuntu.comtrusty-updates/universe Sources [187 kB]    
Get:9 http://security.ubuntu.comtrusty-security/restricted Sources [4 955 B]  
Get:10 http://security.ubuntu.comtrusty-security/universe Sources [61,0 kB]   
Get:11 http://fr.archive.ubuntu.comtrusty-updates/multiverse Sources [7 768 B]
Hit http://packages.bodhilinux.comtrusty Release                              
Get:12 http://fr.archive.ubuntu.comtrusty-updates/main i386 Packages [955 kB]
Get:13 http://security.ubuntu.comtrusty-security/multiverse Sources [3 193 B]
Get:14 http://security.ubuntu.comtrusty-security/main i386 Packages [601 kB]  
Ign http://packages.bodhilinux.comtrusty/main i386 Packages/DiffIndex         
Get:15 http://fr.archive.ubuntu.comtrusty-updates/restricted i386 Packages [16,9 kB]
Get:16 http://fr.archive.ubuntu.comtrusty-updates/universe i386 Packages [420 kB]
Get:17 http://fr.archive.ubuntu.comtrusty-updates/multiverse i386 Packages [14,7 kB]
Get:18 http://fr.archive.ubuntu.comtrusty-updates/main Translation-en [495 kB]
Get:19 http://fr.archive.ubuntu.comtrusty-updates/multiverse Translation-en [7 430 B]
Get:20 http://fr.archive.ubuntu.comtrusty-updates/restricted Translation-en [3 978 B]
Get:21 http://fr.archive.ubuntu.comtrusty-updates/universe Translation-en [225 kB]
Get:22 http://security.ubuntu.comtrusty-security/restricted i386 Packages [13,7 kB]
Get:23 http://security.ubuntu.comtrusty-security/universe i386 Packages [180 kB]
Get:24 http://fr.archive.ubuntu.comtrusty-backports/main Sources [9 712 B]    
Get:25 http://fr.archive.ubuntu.comtrusty-backports/restricted Sources [28 B]
Get:26 http://fr.archive.ubuntu.comtrusty-backports/universe Sources [35,3 kB]
Get:27 http://fr.archive.ubuntu.comtrusty-backports/multiverse Sources [1 898 B]
Get:28 http://security.ubuntu.comtrusty-security/multiverse i386 Packages [4 280 B]
Get:29 http://fr.archive.ubuntu.comtrusty-backports/main i386 Packages [13,3 kB]
Get:30 http://security.ubuntu.comtrusty-security/main Translation-en [349 kB]
Get:31 http://fr.archive.ubuntu.comtrusty-backports/restricted i386 Packages [28 B]
Get:32 http://fr.archive.ubuntu.comtrusty-backports/universe i386 Packages [43,2 kB]
Get:33 http://fr.archive.ubuntu.comtrusty-backports/multiverse i386 Packages [1 552 B]
Get:34 http://fr.archive.ubuntu.comtrusty-backports/main Translation-en [7 503 B]
Get:35 http://security.ubuntu.comtrusty-security/multiverse Translation-en [2 201 B]
Get:36 http://fr.archive.ubuntu.comtrusty-backports/multiverse Translation-en [1 215 B]
Get:37 http://security.ubuntu.comtrusty-security/restricted Translation-en [3 491 B]
Get:38 http://fr.archive.ubuntu.comtrusty-backports/restricted Translation-en [28 B]
Get:39 http://security.ubuntu.comtrusty-security/universe Translation-en [103 kB]
Get:40 http://fr.archive.ubuntu.comtrusty-backports/universe Translation-en [36,8 kB]
Get:41 http://fr.archive.ubuntu.comtrusty Release [58,5 kB]                   
Get:42 http://fr.archive.ubuntu.comtrusty/main Sources [1 064 kB]             
Get:43 http://fr.archive.ubuntu.comtrusty/restricted Sources [5 433 B]        
Get:44 http://fr.archive.ubuntu.comtrusty/universe Sources [6 399 kB]         
Hit http://packages.bodhilinux.comtrusty/main i386 Packages                   
Ign http://packages.bodhilinux.comtrusty/main Translation-en_US               
Ign http://packages.bodhilinux.comtrusty/main Translation-en                  
Get:45 http://fr.archive.ubuntu.comtrusty/multiverse Sources [174 kB]         
Get:46 http://fr.archive.ubuntu.comtrusty/main i386 Packages [1 348 kB]
Get:47 http://fr.archive.ubuntu.comtrusty/restricted i386 Packages [13,4 kB]
Get:48 http://fr.archive.ubuntu.comtrusty/universe i386 Packages [5 866 kB]
Get:49 http://fr.archive.ubuntu.comtrusty/multiverse i386 Packages [134 kB]   
Get:50 http://fr.archive.ubuntu.comtrusty/main Translation-en [762 kB]        
Get:51 http://fr.archive.ubuntu.comtrusty/multiverse Translation-en [102 kB]  
Get:52 http://fr.archive.ubuntu.comtrusty/restricted Translation-en [3 457 B]
Get:53 http://fr.archive.ubuntu.comtrusty/universe Translation-en [4 089 kB]  
Ign http://fr.archive.ubuntu.comtrusty/main Translation-en_US                 
Ign http://fr.archive.ubuntu.comtrusty/multiverse Translation-en_US           
Ign http://fr.archive.ubuntu.comtrusty/restricted Translation-en_US           
Ign http://fr.archive.ubuntu.comtrusty/universe Translation-en_US             
Fetched 24,6 MB in 22s (1 077 kB/s)                                            
Reading package lists... Done
W: Failed to fetch http://us.old-releas...lucid/InRelease 

W: Failed to fetch http://us.old-releas...id/Release.gpg Could not resolve 'us.old-releases.ubuntu.com'

W: Some index files failed to download. They have been ignored, or old ones used instead.



#4 Charles@Bodhi

Charles@Bodhi

    Old Faithful

  • Moderators
  • 4511 posts
  • LocationZeist, The Netherlands

Posted 14 August 2017 - 01:25 PM   Best Answer

Hi Anna, 

I suggest you fix your sources.list so you won't see those warnings anymore. In terminal

sudo epad /etc/apt/sources.list

Now find lines with the word lucid and place a # in front of that line so they are commented out.  Save the file and close epad. Next run

sudo apt-get update
sudo apt-get dist-upgrade

In case you still have errors of some kind please report them here with details about the error.

 

Enjoy,

Charles



#5 Anna M

Anna M

    Member

  • Members
  • 3 posts

Posted 14 August 2017 - 07:58 PM

Thanks! No more errors and messages, and a bunch of new themes to choose from.

After that, I got most icons back using this one: http://forums.bodhil...-ibar/?hl=icons.

 

Also thanks for the "sudo epad". Much more efficient than my previous copying files to /home in a GUI and "sudo cp"-ing them back. :-)






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users